# Enum Class VulkanImageTiling

java.lang.Object
java.lang.Enum<VulkanImageTiling>
com.io7m.jcoronado.api.VulkanImageTiling

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanImageTiling>`, `Constable`

public enum VulkanImageTiling extends Enum<VulkanImageTiling> implements VulkanEnumIntegerType

See Also:
  - "VkImageTiling"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_IMAGE_TILING_LINEAR`
  Specifies linear tiling (texels are laid out in memory in row-major order, possibly with some padding on each row).
  `VK_IMAGE_TILING_OPTIMAL`
  Specifies optimal tiling (texels are laid out in an implementation-dependent arrangement, for more optimal memory access).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanImageTiling`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanImageTiling[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_IMAGE_TILING_OPTIMAL

    public static final VulkanImageTiling VK_IMAGE_TILING_OPTIMAL
    Specifies optimal tiling (texels are laid out in an implementation-dependent arrangement, for more optimal memory access).

  - ### VK_IMAGE_TILING_LINEAR

    public static final VulkanImageTiling VK_IMAGE_TILING_LINEAR
    Specifies linear tiling (texels are laid out in memory in row-major order, possibly with some padding on each row).

- ## Method Details

  - ### values

    public static VulkanImageTiling[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanImageTiling valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant